Extending Qt Creator Manual | ASTSignal

Extending Qt Creator Manual 4.5.2

# ASTSignal Class

(QmlJS::ASTSignal)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| ASTSignal(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTSignal()
AST::UiPublicMember * | ast() const
const ObjectValue * | bodyScope() const
QString | slotName() const

## Reimplemented Public Functions

virtual const Value * | argument(int index) const override
virtual QString | argumentName(int index) const override
virtual const ASTSignal * | asAstSignal() const override
virtual bool | getSourceLocation(QString *fileName, int *line, int *column) const override
virtual int | namedArgumentCount() const override

- 8 public functions inherited from QmlJS::FunctionValue
- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTSignal::ASTSignal(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTSignal.

### ASTSignal::~ASTSignal()

Destroys the instance of ASTSignal.

### `[override virtual]` const Value *ASTSignal::argument(int index) const

### `[override virtual]` QString ASTSignal::argumentName(int index) const

### `[override virtual]` const ASTSignal *ASTSignal::asAstSignal() const

### AST::UiPublicMember *ASTSignal::ast() const

### const ObjectValue *ASTSignal::bodyScope() const

### `[override virtual]` bool ASTSignal::getSourceLocation(QString *fileName, int *line, int *column) const

### `[override virtual]` int ASTSignal::namedArgumentCount() const

### QString ASTSignal::slotName() const